> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Agent Shared File

> Delete a file from the agent's persistent shared storage.



## OpenAPI

````yaml https://odyssey.asteroid.ai/agents/v2/openapi.yaml delete /agents/{agentId}/shared-files/{fileId}
openapi: 3.1.0
info:
  title: Agent Service
  version: v1
servers:
  - description: V2 API
    url: https://odyssey.asteroid.ai/agents/v2
security:
  - ApiKeyAuth: []
tags:
  - name: Agents
  - name: Execution
  - name: Files
  - name: Agent Profiles
  - name: Agent Profile Pools
  - name: Workflows
  - name: Schema
  - name: Documentation
  - name: Context
paths:
  /agents/{agentId}/shared-files/{fileId}:
    delete:
      tags:
        - Files
      summary: Delete Agent Shared File
      description: Delete a file from the agent's persistent shared storage.
      operationId: AgentSharedFilesDelete
      parameters:
        - in: path
          name: agentId
          required: true
          schema:
            $ref: '#/components/schemas/Common.uuid'
        - in: path
          name: fileId
          required: true
          schema:
            $ref: '#/components/schemas/Common.uuid'
      responses:
        '204':
          description: >-
            There is no content to send for this request, but the headers may be
            useful. 
        '404':
          content:
            text/plain:
              schema:
                enum:
                  - File not found.
                type: string
          description: The server cannot find the requested resource.
      deprecated: true
components:
  schemas:
    Common.uuid:
      format: uuid
      type: string
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: X-Asteroid-Agents-Api-Key
      type: apiKey

````